-- Verify camper:amenity on pg

begin;

select amenity_id
     , company_id
     , label
     , name
     , info1
     , info2
     , active
from camper.amenity
where false;

select 1 / count(*) from pg_class where oid = 'camper.amenity'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.amenity'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.amenity'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.amenity'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.amenity'::regclass;

rollback;
